Package io.vertx.tracing.zipkin

## Class VertxSender

- java.lang.Object
- - zipkin2.Component
  - - zipkin2.reporter.Sender
    - - io.vertx.tracing.zipkin.VertxSender

- All Implemented Interfaces:
    `Closeable`, `AutoCloseable`

      public class VertxSender
      extends zipkin2.reporter.Sender

  An HTTP sender using Vert.x HttpClient, only JSON encoding is supported.
  Author:
    Julien Viet

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `VertxSender​(HttpSenderOptions options)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `close()` |
    `zipkin2.codec.Encoding` | `encoding()` |
    `int` | `messageMaxBytes()` |
    `int` | `messageSizeInBytes​(List<byte[]> encodedSpans)` |
    `HttpSenderOptions` | `options()` |
    `zipkin2.Call<Void>` | `sendSpans​(List<byte[]> encodedSpans)` |

    - ### Methods inherited from class zipkin2.reporter.Sender

      `messageSizeInBytes`

    - ### Methods inherited from class zipkin2.Component

      `check`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### VertxSender

          public VertxSender​(HttpSenderOptions options)

  - ### Method Detail

    - #### options

          public HttpSenderOptions options()

    - #### encoding

          public zipkin2.codec.Encoding encoding()

      Specified by:
        `encoding` in class `zipkin2.reporter.Sender`

    - #### messageMaxBytes

          public int messageMaxBytes()

      Specified by:
        `messageMaxBytes` in class `zipkin2.reporter.Sender`

    - #### messageSizeInBytes

          public int messageSizeInBytes​(List<byte[]> encodedSpans)

      Specified by:
        `messageSizeInBytes` in class `zipkin2.reporter.Sender`

    - #### sendSpans

          public zipkin2.Call<Void> sendSpans​(List<byte[]> encodedSpans)

      Specified by:
        `sendSpans` in class `zipkin2.reporter.Sender`

    - #### close

          public void close()
                     throws IOException

      Specified by:
        `close` in interface `AutoCloseable`
      Specified by:
        `close` in interface `Closeable`
      Overrides:
        `close` in class `zipkin2.Component`
      Throws:
        `IOException`